Loading...
Searching...
No Matches
log4shib::Layout Class Referenceabstract

Extend this abstract class to create your own log layout format. More...

`#include <Layout.hh>`

Inheritance diagram for log4shib::Layout:
[legend]

## Public Member Functions

virtual | ~Layout ()
| Destructor for Layout.
virtual std::string | format (const LoggingEvent &event)=0
| Formats the LoggingEvent data to a string that appenders can log.

## Detailed Description

Extend this abstract class to create your own log layout format.

## Constructor & Destructor Documentation

## ~Layout()

virtual log4shib::Layout::~Layout | ( |  | ) |

inline virtual

Destructor for Layout.

## Member Function Documentation

## format()

virtual std::string log4shib::Layout::format | ( | const LoggingEvent & | event | ) |

pure virtual

Formats the LoggingEvent data to a string that appenders can log.

Implement this method to create your own layout format.

Parameters

  event | The LoggingEvent.

Returns
  an appendable string.

Implemented in log4shib::BasicLayout, log4shib::PatternLayout, and log4shib::SimpleLayout.

The documentation for this class was generated from the following file:

- Layout.hh